org.apache.tools.ant.taskdefs

## Class SQLExec.Transaction

- java.lang.Object
- - org.apache.tools.ant.taskdefs.SQLExec.Transaction

Enclosing class:
  SQLExec

    public class SQLExec.Transaction
    extends java.lang.Object

Contains the definition of a new transaction element. Transactions allow several files or blocks of statements to be executed using the same JDBC connection and commit operation in between.

### Constructor Summary

Constructors
Constructor and Description
`Transaction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfigured(ResourceCollection a)` Set the source resource.
`void` `addText(java.lang.String sql)` Set inline text
`void` `setSrc(java.io.File src)` Set the source file attribute.
`void` `setSrcResource(Resource src)` Set the source resource attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Transaction

    public Transaction()

### Method Detail

#### setSrc

    public void setSrc(java.io.File src)

Set the source file attribute.

Parameters:
  `src` - the source file

#### setSrcResource

    public void setSrcResource(Resource src)

Set the source resource attribute.

Parameters:
  `src` - the source file
Since:
  Ant 1.7

#### addText

    public void addText(java.lang.String sql)

Set inline text

Parameters:
  `sql` - the inline text

#### addConfigured

    public void addConfigured(ResourceCollection a)

Set the source resource.

Parameters:
  `a` - the source resource collection.
Since:
  Ant 1.7